Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle ADF Business Components interMedia Domains Java API Reference 10g Release 3 (10.1.3) B16008-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ord.im
Class OrdDocDomain

`java.lang.Object
oracle.ord.im.OrdDocBase
oracle.ord.im.OrdDoc
oracle.ord.im.OrdDocDomain`

All Implemented Interfaces:
  oracle.jbo.AttributeList, oracle.jbo.domain.BlobDomainInterface, oracle.sql.CustomDatum, oracle.sql.CustomDatumFactory, oracle.jbo.domain.DomainInterface, oracle.jbo.domain.DomainOwnerInterface, java.util.EventListener, oracle.jbo.domain.LobInterface, oracle.jbo.domain.MarshalledDomain, oracle.jbo.domain.MutableDomainInterface, oracle.jdbc.internal.ObjectData, oracle.jdbc.internal.ObjectDataFactory, oracle.sql.ORAData, OrdDomainIOInterface, OrdDomainState, OrdDomainSupportInterface, java.io.Serializable, oracle.jbo.TransactionStateListener, oracle.jbo.domain.XMLDomainInterface, oracle.jbo.domain.XMLDomainReaderFactory, oracle.jbo.domain.XMLDomainWriter, oracle.jbo.domain.XMLValueFactory

public class OrdDocDomain
extends OrdDoc
implements OrdDomainIOInterface, OrdDomainState, OrdDomainSupportInterface, oracle.jbo.AttributeList, oracle.jbo.domain.LobInterface, oracle.jbo.domain.DomainOwnerInterface, oracle.jbo.domain.XMLDomainReaderFactory, oracle.jbo.domain.XMLDomainWriter, java.io.Serializable, oracle.jbo.TransactionStateListener, oracle.jbo.domain.MarshalledDomain

Represents interMedia ORDSYS.ORDDoc database type as a domain class in the Business Components for Java (BC4J) framework. Most methods in this class are BC4J tier independent. They can work on either the client tier or the middle tier, which allows the application which uses these methods to work in a tier independent fashion. There are some exceptions which are marked as local mode only:

- `getContent`
- `getBFILE`
- `getComments`
- `setComments`
- `getContentInLob`

The BC4J tier-independent counterparts of the first three methods are the following:

- `getContentAsBlobDomain`
- `getBFileDomain`
- `getCommentsAsClobDomain`

There are no corresponding BC4J tier-independent methods for `setComments` and `getContentInLob`.

The term client tier refers to the machine on which the application client is running. Middle tier refers to the server on which the BC4J business components are deployed. The user can use "local mode only" methods when he deploys BC4J and the client application to the same machine. Whereas, the user should use tier independent methods when the application client and BC4J reside on separate machines.

The constructor for this class will create an instance of an `OrdDocDomain`. The user should either manually obtain a valid BLOB locator and a JDBC connection for this instance, or rely on the BC4J framework to obtain a BLOB locator and a JDBC connection for it. See `OrdContentSource` for discussion about how to load media content to the database by using the interMedia BC4J domain classes.

Since:
  JDev3.2
See Also:
  `OrdDoc`, Serialized Form

Field Summary

Fields inherited from class oracle.ord.im.OrdDocBase
`_SQL_NAME, _SQL_TYPECODE`

Constructor Summary
`OrdDocDomain()` Constructs a new `OrdDocDomain` instance.
`OrdDocDomain(byte[] bytes)` Constructs a new `OrdDocDomain` instance.
`OrdDocDomain(OrdContentSource source)` Constructs a new `OrdDocDomain` instance.
`OrdDocDomain(OrdHttpUploadFile ohuf)` Constructs a new `OrdDocDomain` instance.
`OrdDocDomain(java.lang.String fileName)` Constructs a new `OrdDocDomain` instance.

Method Summary
`void` | `clearContentSource()` Internal: Applications should not use this method.
`void` | `clearLocal()` Clears the attribute called local to indicate that the content data is stored externally.
`int` | `closeSource(byte[][] ctx)` Closes a data source.
`oracle.sql.CustomDatum` | `create(oracle.sql.Datum d, int sqlType)` Internal: Applications should not use this method.
`java.lang.Object` | `createDomainFromSerializedXML(org.w3c.dom.Element element)` Create a domain instance by reading the xml-data out of the given xml-node.
`void` | `deleteContent()` Deletes any data stored in the database BLOB specified by the localData attribute.
`void` | `domainToBeModified(oracle.jbo.domain.DomainInterface d)` Internal: Applications should not use this method.
`void` | `doneCommit(oracle.jbo.TransactionStateEvent event)` Internal: Applications should not use this method.
`void` | `doneRollback(oracle.jbo.TransactionStateEvent event)` Internal: Applications should not use this method.
`boolean` | `equals(java.lang.Object obj)` Compares two `OrdDocDomain` objects by their last update time and content length.
`void` | `export(byte[][] ctx, java.lang.String sourceType, java.lang.String sourceLocation, java.lang.String sourceName)` Exports the data from the BLOB specified by the localData attribute.
`void` | `generateTempFilePath()` Internal: Applications should not use this method.
`java.lang.Object` | `getAttribute(int index)` Internal: Applications should not use this method.
`java.lang.Object` | `getAttribute(java.lang.String name)` Internal: Applications should not use this method.
`int` | `getAttributeCount()` Internal: Applications should not use this method.
`int` | `getAttributeIndexOf(java.lang.String name)` Internal: Applications should not use this method.
`java.lang.String[]` | `getAttributeNames()`
`java.lang.Object[]` | `getAttributeValues()`
`oracle.sql.BFILE` | `getBFILE()` Returns a BFILE locator from the database when the srcType attribute is "FILE".
`oracle.jbo.domain.BFileDomain` | `getBFileDomain()` Returns a `BFileDomain` object which wraps the BFILE locator obtained from the `getBFILE` method.
`oracle.sql.CLOB` | `getComments()` Returns the CLOB locator from the comments attribute.
`oracle.jbo.domain.ClobDomain` | `getCommentsAsClobDomain()` Returns a `ClobDomain` object which wraps the CLOB locator obtained from the `getComments()` method.
`oracle.sql.BLOB` | `getContent()` Returns the BLOB locator from the localData attribute.
`oracle.jbo.domain.BlobDomain` | `getContentAsBlobDomain()` Returns a `BlobDomain` object which wraps the BLOB locator from the localData attribute.
`oracle.sql.BLOB` | `getContentInLob(byte[][] ctx, java.lang.String[] mimetype, java.lang.String[] format)` Returns the data from the BLOB specified by the localData attribute in a temporary BLOB in the database.
`int` | `getContentLength()` Returns the contentLength attribute.
`OrdContentSource` | `getContentSource()` Gets the content source which was previously set by the `setContentSource` method.
`java.lang.Object` | `getCTPassivationHandle()` Internal: Applications should not use this method.
`static oracle.sql.CustomDatumFactory` | `getCustomDatumFactory()` Internal: Applications should not use this method.
`java.lang.Object` | `getData()` Internal: Applications should not use this method.
`byte[]` | `getDataInByteArray()` Returns a byte array containing the data from the database BLOB specified by the localData attribute.
`boolean` | `getDataInFile(java.lang.String filename)` Writes the data from the database BLOB specified by the localData attribute to a local file.
`java.io.InputStream` | `getDataInStream()` Returns an InputStream from which the data in the database BLOB specified by the localData attribute can be read.
`static oracle.sql.CustomDatumFactory` | `getFactory()` Returns the `OrdDocDomain CustomDatumFactory` for use by the `getCustomDatum` method.
`java.lang.String` | `getFormat()` Returns the value of the format attribute.
`java.lang.String` | `getMimeType()` Returns the mimeType attribute.
`int` | `getObjectId()` Internal: Applications should not use this method.
`oracle.jbo.domain.DomainOwnerInterface` | `getOwner()` Internal: Applications should not use this method.
`int` | `getOwnerAttributeIndex()` Internal: Applications should not use this method.
`java.lang.String` | `getRemoteIdString()` Internal: Applications should not use this method.
`org.w3c.dom.Node` | `getSerializedDomainXML(org.w3c.dom.Document xmlDoc)` Creates the XML node in the given XML document for this domain's data.
`long` | `getSize()` Internal: Applications should not use this method.
`java.lang.String` | `getSource()` Returns the source information in the form `srcType://srcLocation/srcName`.
`java.lang.String` | `getSourceLocation()` Returns the srcLocation attribute.
`java.lang.String` | `getSourceName()` Returns the srcName attribute.
`java.lang.String` | `getSourceType()` Returns the srcType attribute.
`int` | `getTierInfo()` Gets the tier number information that this object lives in.
`java.sql.Timestamp` | `getUpdateTime()` Returns the updateTime attribute.
`org.w3c.dom.Node` | `getXMLContentNode(org.w3c.dom.Document xmlDoc)` Internal: Applications should not use this method.
`static oracle.jbo.domain.XMLDomainFactory` | `getXMLDomainFactory(java.lang.Class attrClass)` Internal: Applications should not use this method.
`int` | `hashCode()` Returns the hash code as a `int`
`void` | `importData(byte[][] ctx, boolean setProp)` Imports data from an external source into the database BLOB specified by the localData attribute, and optionally calls the setProperties method.
`void` | `importFrom(byte[][] ctx, java.lang.String sourceType, java.lang.String sourceLocation, java.lang.String sourceName, boolean setProp)` Imports data from an external source into the database BLOB specified by the localData attribute, and optionally calls the setProperties method.
`boolean` | `isAddedToTransaction()` Internal: Applications should not use this method.
`boolean` | `isConnected()` Determines whether the domain object has an internal JDBC connection to the database.
`boolean` | `isLocal()` Determines whether the content data is stored locally in the database in a BLOB specified by the localData attribute.
`boolean` | `loadDataFromByteArray(byte[] byteArr)` Loads data from a byte array into the database BLOB specified by the localData attribute.
`boolean` | `loadDataFromFile(java.lang.String filename)` Loads data from a file into the database BLOB specified by the localData attribute.
`boolean` | `loadDataFromInputStream(java.io.InputStream inpStream)` Loads data from an `InputStream` into the database BLOB specified by the localData attribute.
`void` | `loadFromDatabase(oracle.jbo.Transaction xAct)` Internal: Applications should not use this method.
`oracle.svcmsg.ResponseValues` | `marshal()`
`int` | `openSource(byte[] userarg, byte[][] ctx)` Opens a data source.
`void` | `prepareForDML(java.lang.Object context)` Internal: Applications should not use this method.
`java.lang.String` | `printXMLDefinition(java.util.Hashtable allDefs, java.io.PrintWriter pw, boolean bContainees)` Internal: Applications should not use this method.
`byte[]` | `processSourceCommand(byte[][] ctx, java.lang.String cmd, java.lang.String args, byte[][] result)` Calls the source plug-in in the database to execute a command.
`int` | `readFromSource(byte[][] ctx, int startpos, int numbytes, byte[][] buffer)` Reads data from the data source.
`void` | `removeListenerFromTransaction()` Internal: Applications should not use this method.
`void` | `saveToDatabase(oracle.jbo.Transaction xAct)` Internal: Applications should not use this method.
`void` | `saveToDatabase(oracle.jbo.Transaction xAct, java.lang.Object emptySQLObject)` Internal: Applications should not use this method.
`void` | `setAddToTransactionState(boolean value)` Internal: Applications should not use this method.
`void` | `setAttribute(int index, java.lang.Object value)` Internal: Applications should not use this method.
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Internal: Applications should not use this method.
`void` | `setComments(oracle.sql.CLOB comments)` Sets the comments attribute.
`void` | `setConnected(boolean value)` Internal: Applications should not use this method.
`void` | `setContentLength(int contentLength)` Sets the contentLength attribute.
`void` | `setContentSource(OrdContentSource source)` Sets the content source for deferred loading.
`void` | `setContentSourceOnly(OrdContentSource source)` Internal: Applications should not use this method.
`void` | `setContext(oracle.jbo.domain.DomainOwnerInterface owner, oracle.jbo.Transaction trans, java.lang.Object ctx)` Internal: Applications should not use this method.
`void` | `setCTPassivationHandle(java.lang.Object handle)` Internal: Applications should not use this method.
`void` | `setFormat(java.lang.String format)` Sets the value of the format attribute.
`void` | `setLocal()` Sets the attribute called local to indicate that the content data is stored locally in the database in a BLOB > specified by the localData attribute.
`void` | `setMimeType(java.lang.String MimeType)` Sets the mimeType attribute.
`void` | `setProperties()` Parses the media data properties, and sets the attributes in the `OrdDocDomain` Java object.
`void` | `setProperties(byte[][] ctx, boolean setComments)` Parses the media data properties, sets the values of the attributes in the OrdDoc Java object, and optionally populates the CLOB specified by the comments attribute.
`void` | `setSource(java.lang.String sourceType, java.lang.String sourceLocation, java.lang.String sourceName)` Sets the srcType, srcLocation, and srcName attributes.
`void` | `setUpdateTime(java.sql.Timestamp currentTime)` Sets the updateTime attribute.
`void` | `syncClientLob(oracle.jbo.domain.LobInterface newArrival)` Internal: Applications should not use this method.
`void` | `syncServerLob(oracle.jbo.domain.LobInterface oldObj)` Internal: Applications should not use this method.
`java.lang.String` | `toString()` Returns a `String` object describing this object.
`int` | `trimSource(byte[][] ctx, int newLen)` Trims the data to the specified length.
`int` | `writeToSource(byte[][] ctx, int startpos, int numbytes, byte[] buffer)` Writes data to the data source.

Methods inherited from class oracle.ord.im.OrdDoc
`getORADataFactory`

Methods inherited from class oracle.ord.im.OrdDocBase
`create, toDatum, toDatum`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OrdDocDomain

    public OrdDocDomain()

  Constructs a new `OrdDocDomain` instance. Before it's been inserted into the database table and selected back, this new instance doesn't have a JDBC connection to the database. It also doesn't have a corresponding existing database ORDSYS.ORDDoc object.

### OrdDocDomain

    public OrdDocDomain(byte[] bytes)

  Constructs a new `OrdDocDomain` instance. Before it has been inserted into the database table and selected back; this new instance doesn't have a JDBC connection to the database. It also doesn't have a corresponding existing database ORDSYS.ORDDoc object. Users should use deferred loading to load the doc content into the database.

  Calling this constructor has the same effect of calling the following two statements.

           OrdDocDomain doc = new OrdDocDomain();
           doc.setContentSource(new OrdByteArraySource(bytes));

Parameters:
  `bytes` - the byte array that contains the doc content
See Also:
  `OrdContentSource`, `OrdByteArraySource`

### OrdDocDomain

    public OrdDocDomain(java.lang.String fileName)

  Constructs a new `OrdDocDomain` instance. Before it has been inserted into the database table and selected back; this new instance doesn't have a JDBC connection to the database. It also doesn't have a corresponding existing database ORDSYS.ORDDoc object. Users should use deferred loading to load the doc content into the database.

  Calling this constructor has the same effect of calling the following two statements.

           OrdDocDomain doc = new OrdDocDomain();
           doc.setContentSource(new OrdFileSource(fileName));

Parameters:
  `fileName` - the doc file name
See Also:
  `OrdContentSource`, `OrdFileSource`

### OrdDocDomain

    public OrdDocDomain(OrdContentSource source)

  Constructs a new `OrdDocDomain` instance. Before it has been inserted into the database table and selected back; this new instance doesn't have a JDBC connection to the database. It also doesn't have a corresponding existing database ORDSYS.ORDDoc object. Users should use deferred loading to load the doc content into the database.

  Calling this constructor has the same effect of calling the following two statements.

           OrdDocDomain doc = new OrdDocDomain();
           doc.setContentSource(source);

Parameters:
  `source` - the doc content source
See Also:
  `OrdContentSource`

### OrdDocDomain

    public OrdDocDomain(OrdHttpUploadFile ohuf)

  Constructs a new `OrdDocDomain` instance. Before it has been inserted into the database table and selected back; this new instance doesn't have a JDBC connection to the database. It also doesn't have a corresponding existing database ORDSYS.ORDDoc object. Users should use deferred loading to load the doc content into the database.

  Calling this constructor has the same effect of calling the following two statements.

           OrdDocDomain doc = new OrdDocDomain();
           doc.setContentSource(new OrdHttpUploadFileSource(ohuf));

Parameters:
  `ohuf` - the doc content wrapped as an `OrdHttpUploadFile` object
See Also:
  `OrdContentSource`, `OrdHttpUploadFileSource`

Method Detail

### getObjectId

    public int getObjectId()

  Description copied from interface: `OrdDomainIOInterface`
  Internal: Applications should not use this method.
  Specified by:
    `getObjectId` in interface `OrdDomainIOInterface`

### getFactory

    public static oracle.sql.CustomDatumFactory getFactory()

  Returns the `OrdDocDomain CustomDatumFactory` for use by the `getCustomDatum` method. Specify this method as the factory parameter of the `getCustomDatum` method when retrieving an `OrdDocDomain` object from an `OracleResultSet` or `OracleCallableStatement`. For example:

        OrdDocDomain doc = (OrdDocDomain)rset.
                                 getCustomDatum( 1, OrdDocDomain.getFactory() );

  Returns:
    the `OrdDocDomain` implementation of the `CustomDatumFactory` interface

### getCustomDatumFactory

    public static oracle.sql.CustomDatumFactory getCustomDatumFactory()

  Internal: Applications should not use this method.

### toString

    public java.lang.String toString()

  Returns a `String` object describing this object. The format of the description is "OrdDocDomain: <mimetype>:<length>".
  Returns:
    a `String` object describing this object

### hashCode

    public int hashCode()

  Returns the hash code as a `int`

### equals

    public boolean equals(java.lang.Object obj)

  Compares two `OrdDocDomain` objects by their last update time and content length. For performance reasons, bit by bit comparison of binary content is not done.
  Parameters:
    `obj` - the object to be compared with this object
  Returns:
    `true` if the two `OrdDocDomain` objects have the same last update time and content length; otherwise, returns `false`

### getContent

    public oracle.sql.BLOB getContent()
                               throws java.sql.SQLException

  Returns the BLOB locator from the localData attribute.
  Note
  local mode only
  Overrides:
    `getContent` in class `OrdDoc`
  Returns:
    an `oracle.sql.BLOB`
  Throws:
    `java.sql.SQLException` - if an error occurs when accessing the localData attribute

### getBFILE

    public oracle.sql.BFILE getBFILE()
                              throws java.sql.SQLException

  Returns a BFILE locator from the database when the srcType attribute is "FILE". This method calls the corresponding getBFILE method in the database, which creates the BFILE using the srcLocation and srcName attributes.
  Note
  local mode only
  Overrides:
    `getBFILE` in class `OrdDoc`
  Returns:
    an `oracle.sql.BFILE`
  Throws:
    `java.sql.SQLException` - if an error occurs while executing the corresponding getBFILE method in the database

### isLocal

    public boolean isLocal()
                    throws java.sql.SQLException

  Description copied from interface: `OrdDomainIOInterface`
  Determines whether the content data is stored locally in the database in a BLOB specified by the localData attribute.
  Specified by:
    `isLocal` in interface `OrdDomainIOInterface`
  Overrides:
    `isLocal` in class `OrdDoc`
  Returns:
    `true` if the data is stored locally in the database in a BLOB; `false` otherwise.
  Throws:
    `java.sql.SQLException` - if an error occurs accessing the local attribute.

### clearLocal

    public void clearLocal()
                    throws java.sql.SQLException

  Description copied from interface: `OrdDomainIOInterface`
  Clears the attribute called local to indicate that the content data is stored externally.
  Specified by:
    `clearLocal` in interface `OrdDomainIOInterface`
  Overrides:
    `clearLocal` in class `OrdDoc`
  Throws:
    `java.sql.SQLException` - if an error occurs accessing the local attribute.

### setLocal

    public void setLocal()
                  throws java.sql.SQLException

  Description copied from interface: `OrdDomainIOInterface`
  Sets the attribute called local to indicate that the content data is stored locally in the database in a BLOB > specified by the localData attribute.
  Specified by:
    `setLocal` in interface `OrdDomainIOInterface`
  Overrides:
    `setLocal` in class `OrdDoc`
  Throws:
    `java.sql.SQLException` - if an error occurs accessing the local attribute.

### deleteContent

    public void deleteContent()
                       throws java.sql.SQLException

  Description copied from interface: `OrdDomainIOInterface`
  Deletes any data stored in the database BLOB specified by the localData attribute.
  Specified by:
    `deleteContent` in interface `OrdDomainIOInterface`
  Overrides:
    `deleteContent` in class `OrdDoc`
  Throws:
    `java.sql.SQLException` - if an error occurs executing the corresponding deleteContent method in the database.

### importData

    public void importData(byte[][] ctx,
                           boolean setProp)
                    throws java.sql.SQLException

  Description copied from class: `OrdDoc`
  Imports data from an external source into the database BLOB specified by the localData attribute, and optionally calls the setProperties method. If the setProp parameter is true, this method calls the setProperties method in the database to set the property attributes and populate the CLOB specified by the comments attribute. The external data source is specified by the srcType, srcLocation, and srcName attributes.
  Overrides:
    `importData` in class `OrdDoc`
  Parameters:
    `ctx` - the source plug-in context information.
    `setProp` - a `boolean` value that specifies whether or not to call the setProperties method.
  Throws:
    `java.sql.SQLException` - if an error occurs executing the corresponding import method in the database.

### importFrom

    public void importFrom(byte[][] ctx,
                           java.lang.String sourceType,
                           java.lang.String sourceLocation,
                           java.lang.String sourceName,
                           boolean setProp)
                    throws java.sql.SQLException

  Description copied from class: `OrdDoc`
  Imports data from an external source into the database BLOB specified by the localData attribute, and optionally calls the setProperties method. If the setProp parameter is true, this method calls the setProperties method in the database to set the property attributes and populate the CLOB specified by the comments attribute. The external data source is specified by the srcType, srcLocation, and srcName parameters. The srcType, srcLocation, and srcName attributes are updated with values of the srcType, srcLocation, and srcName parameters passed to the importFrom method.
  Overrides:
    `importFrom` in class `OrdDoc`
  Parameters:
    `ctx` - the source plug-in context information. See Oracle interMedia Reference for more information.
    `sourceType` - the source type from which the data will be imported.
    `sourceLocation` - the source location from which the data will be imported.
    `sourceName` - the source name from which the data will be imported.
    `setProp` - a `boolean` value that specifies whether or not to call setProperties.
  Throws:
    `java.sql.SQLException` - if an error occurs executing the corresponding importFrom method in the database.

### loadDataFromFile

    public boolean loadDataFromFile(java.lang.String filename)
                             throws java.sql.SQLException,
                                    java.io.IOException

  Description copied from interface: `OrdDomainIOInterface`
  Loads data from a file into the database BLOB specified by the localData attribute. Before loading the data, this method calls the following methods:
  - `OrdDomainIOInterface.deleteContent()`, to delete any existing data in the BLOB.
  - `OrdDomainIOInterface.setLocal()`, to set the local flag.
  - `setUpdateTime()`, to set the updateTime attribute to the database server's current SYSDATE time.
  Specified by:
    `loadDataFromFile` in interface `OrdDomainIOInterface`
  Overrides:
    `loadDataFromFile` in class `OrdDoc`
  Parameters:
    `filename` - name of the local file from which the data will be loaded.
  Returns:
    `true` if the data is loaded successfully; otherwise, an exception is raised if an error occurs. This method never returns `false`.
  Throws:
    `java.sql.SQLException` - if an error occurs accessing an object attribute or executing a method in the database.
    `java.io.IOException` - if an error occurs reading the data file.

### loadDataFromInputStream

    public boolean loadDataFromInputStream(java.io.InputStream inpStream)
                                    throws java.sql.SQLException,
                                           java.io.IOException

  Description copied from interface: `OrdDomainIOInterface`
  Loads data from an `InputStream` into the database BLOB specified by the localData attribute. Before loading the data, this method calls the following methods:
  - `OrdDomainIOInterface.deleteContent()`, to delete any existing data in the BLOB.
  - `OrdDomainIOInterface.setLocal()`, to set the local flag.
  - `setUpdateTime()`, to set the updateTime attribute to the database server's current SYSDATE time.
  Specified by:
    `loadDataFromInputStream` in interface `OrdDomainIOInterface`
  Overrides:
    `loadDataFromInputStream` in class `OrdDoc`
  Parameters:
    `inpStream` - the name of the `InputStream` object from which the data will be loaded.
  Returns:
    `true` if the data is loaded successfully; otherwise, an exception is raised if an error occurs. This method never returns `false`.
  Throws:
    `java.sql.SQLException` - if an error occurs accessing an object attribute or executing a method in the database.
    `java.io.IOException` - if an error occurs reading the InputStream object.

### loadDataFromByteArray

    public boolean loadDataFromByteArray(byte[] byteArr)
                                  throws java.sql.SQLException,
                                         java.io.IOException

  Description copied from interface: `OrdDomainIOInterface`
  Loads data from a byte array into the database BLOB specified by the localData attribute. Before loading the data, this method calls the following methods:
  - `OrdDomainIOInterface.deleteContent()`, to delete any existing data in the BLOB.
  - `OrdDomainIOInterface.setLocal()`, to set the local flag.
  - `setUpdateTime()`, to set the updateTime attribute to the database server's current SYSDATE time.
  Specified by:
    `loadDataFromByteArray` in interface `OrdDomainIOInterface`
  Overrides:
    `loadDataFromByteArray` in class `OrdDoc`
  Parameters:
    `byteArr` - the name of the local `byte[]` array from which the data will be loaded.
  Returns:
    `true` if the data is loaded successfully; otherwise, an exception is raised if an error occurs. This method never returns `false`.
  Throws:
    `java.sql.SQLException` - if an error occurs accessing an object attribute or executing a method in the database.
    `java.io.IOException` - if an error occurs reading the byte array.

### getContentLength

    public int getContentLength()
                         throws java.sql.SQLException

  Returns the contentLength attribute.
  Specified by:
    `getContentLength` in interface `OrdDomainIOInterface`
  Overrides:
    `getContentLength` in class `OrdDoc`
  Returns:
    the contentLength attribute as an `int`
  Throws:
    `java.sql.SQLException` - if an error occurs when accessing the contentLength attribute

### setContentLength

    public void setContentLength(int contentLength)
                          throws java.sql.SQLException

  Sets the contentLength attribute.
  Note
  `setProperties` sets this attribute automatically for certain media formats; use this method only if you are not using setProperties. This method sets the attribute value only; it does not modify the media data itself.
  Specified by:
    `setContentLength` in interface `OrdDomainIOInterface`
  Overrides:
    `setContentLength` in class `OrdDoc`
  Parameters:
    `contentLength` - the new attribute value
  Throws:
    `java.sql.SQLException` - if an error occurs when accessing the contentLength attribute

### setMimeType

    public void setMimeType(java.lang.String MimeType)
                     throws java.sql.SQLException

  Description copied from interface: `OrdDomainIOInterface`
  Sets the mimeType attribute.
  Specified by:
    `setMimeType` in interface `OrdDomainIOInterface`
  Overrides:
    `setMimeType` in class `OrdDoc`
  Parameters:
    `MimeType` - the new attribute value.
  Throws:
    `java.sql.SQLException` - if an error occurs accessing the mimeType attribute.

### getMimeType

    public java.lang.String getMimeType()
                                 throws java.sql.SQLException

  Description copied from interface: `OrdDomainIOInterface`
  Returns the mimeType attribute.
  Specified by:
    `getMimeType` in interface `OrdDomainIOInterface`
  Overrides:
    `getMimeType` in class `OrdDoc`
  Returns:
    the value of the mimeType attribute, as a `String`.
  Throws:
    `java.sql.SQLException` - if an error occurs accessing the mimeType attribute.

### setSource

    public void setSource(java.lang.String sourceType,
                          java.lang.String sourceLocation,
                          java.lang.String sourceName)
                   throws java.sql.SQLException

  Description copied from interface: `OrdDomainIOInterface`
  Sets the srcType, srcLocation, and srcName attributes.
  Specified by:
    `setSource` in interface `OrdDomainIOInterface`
  Overrides:
    `setSource` in class `OrdDoc`
  Parameters:
    `sourceType` - the type of the source.
    `sourceLocation` - the location of the source.
    `sourceName` - the name of the source.
  Throws:
    `java.sql.SQLException` - if an error occurs accessing the srcType, srcLocation, or srcName attributes.

### getSourceType

    public java.lang.String getSourceType()
                                   throws java.sql.SQLException

  Description copied from interface: `OrdDomainIOInterface`
  Returns the srcType attribute. For example, "FILE" or "HTTP".
  Specified by:
    `getSourceType` in interface `OrdDomainIOInterface`
  Overrides:
    `getSourceType` in class `OrdDoc`
  Returns:
    the value of the srcType attribute, as a `String`.
  Throws:
    `java.sql.SQLException` - if an error occurs accessing the srcType attribute.

### getSourceLocation

    public java.lang.String getSourceLocation()
                                       throws java.sql.SQLException

  Description copied from interface: `OrdDomainIOInterface`
  Returns the srcLocation attribute. For example, IMAGES_DIR or www.xyzcoimages.com/public.
  Specified by:
    `getSourceLocation` in interface `OrdDomainIOInterface`
  Overrides:
    `getSourceLocation` in class `OrdDoc`
  Returns:
    the value of the srcLocation attribute, as a `String`.
  Throws:
    `java.sql.SQLException` - if an error occurs accessing the srcLocation attribute.

### getSourceName

    public java.lang.String getSourceName()
                                   throws java.sql.SQLException

  Description copied from interface: `OrdDomainIOInterface`
  Returns the srcName attribute. For example, scenery1.jpg.
  Specified by:
    `getSourceName` in interface `OrdDomainIOInterface`
  Overrides:
    `getSourceName` in class `OrdDoc`
  Returns:
    the value of the srcName attribute, as a `String`.
  Throws:
    `java.sql.SQLException` - if an error occurs accessing the srcName attribute.

### getSource

    public java.lang.String getSource()
                               throws java.sql.SQLException

  Description copied from class: `OrdDoc`
  Returns the source information in the form `srcType://srcLocation/srcName`.
  Overrides:
    `getSource` in class `OrdDoc`
  Returns:
    the source information, as a `String`.
  Throws:
    `java.sql.SQLException` - if an error occurs executing the corresponding getSource method in the database.

### getComments

    public oracle.sql.CLOB getComments()
                                throws java.sql.SQLException

  Returns the CLOB locator from the comments attribute.
  Note
  local mode only
  Overrides:
    `getComments` in class `OrdDoc`
  Returns:
    the comments attribute as an `oracle.sql.CLOB`
  Throws:
    `java.sql.SQLException` - if an error occurs when accessing the comments attribute

### setComments

    public void setComments(oracle.sql.CLOB comments)
                     throws java.sql.SQLException

  Sets the comments attribute.
  Note
  The comments attribute is reserved for use by interMedia. You can set your own value, but it could be overwritten by interMedia Annotator or by the `setProperties` method.
  Note
  local mode only
  Overrides:
    `setComments` in class `OrdDoc`
  Parameters:
    `comments` - the new attribute value
  Throws:
    `java.sql.SQLException` - if an error occurs when accessing the comments attribute

### getFormat

    public java.lang.String getFormat()
                               throws java.sql.SQLException

  Description copied from class: `OrdDoc`
  Returns the value of the format attribute.
  Overrides:
    `getFormat` in class `OrdDoc`
  Returns:
    the value of the format attribute, as a `String`.
  Throws:
    `java.sql.SQLException` - if an error occurs accessing the format attribute.

### setFormat

    public void setFormat(java.lang.String format)
                   throws java.sql.SQLException

  Description copied from class: `OrdDoc`
  Sets the value of the format attribute.

  The format attribute determines which format plug-in is used to handle calls to methods that operate on the media data. In particular, the setProperties method uses the format attribute to determine which format plug-in to call to parse the media data properties. See the `OrdDoc.setProperties(byte[][], boolean)` method for more information on how to initialize the format attribute before calling the setProperties method, and for information on how the setProperties method in the default, Oracle-supplied plug-in, sets the value of the format attribute. Calling this method sets only the attribute value; it does not modify the media data itself.

  Overrides:
    `setFormat` in class `OrdDoc`
  Parameters:
    `format` - the new attribute value.
  Throws:
    `java.sql.SQLException` - if an error occurs accessing the format attribute.

### setProperties

    public void setProperties()
                       throws java.sql.SQLException

  Parses the media data properties, and sets the attributes in the `OrdDocDomain` Java object. This method sets the format, mimeType, and contentLength attributes. An attribute is set to null if the corresponding property cannot be extracted for a specific media format. This method throws a `SQLException` if the media format is not recognized.
  Note
  The format attribute determines which format plug-in is used to parse the media data properties. If the format attribute is null when setProperties is called, then the default, Oracle-supplied, format plug-in is used to parse the media data properties and fill in various attributes, including the actual media data format, for supported media formats. See Oracle interMedia User's Guide and Reference for information on the media formats supported by the Oracle-supplied format plug-ins. Note that the ORDDoc.init methods in the database always set the format attribute to null. If the format attribute is not null, then the format plug-in specified by the format attribute will be called when setProperties is called.
  Note
  If the user supplied format plug-in requires a context, the user should use `setProperties(byte[][], boolean)` instead of this method. Otherwise, this method may fail.
  Specified by:
    `setProperties` in interface `OrdDomainIOInterface`
  Throws:
    `java.sql.SQLException` - if an error occurs while executing the corresponding setProperties method in the database
  See Also:
    `OrdImageDomain.setProperties()`, `OrdAudioDomain.setProperties()`, `OrdVideoDomain.setProperties()`, `setProperties()`

### setProperties

    public void setProperties(byte[][] ctx,
                              boolean setComments)
                       throws java.sql.SQLException

  Description copied from class: `OrdDoc`
  Parses the media data properties, sets the values of the attributes in the OrdDoc Java object, and optionally populates the CLOB specified by the comments attribute. This method sets the values of the format, mimeType, and contentLength attributes. An attribute value is set to null if the corresponding property cannot be extracted for a specific media format. If the setComments parameter is true, this method also populates the CLOB specified by the comments attribute with all extracted properties in XML form. If the setComments parameter is false, the comments attribute is not modified. This method throws a SQLException error if the media format is not recognized.

  The format attribute determines which format plug-in is used to parse the media data properties. If the value of the format attribute is null when the setProperties method is called, then the default, Oracle-supplied, format plug-in is used to parse the media data properties and fill in various attributes, including the actual media data format, for supported media formats. See Oracle interMedia Reference for information on the media formats supported by the Oracle-supplied format plug-ins. Note that the ORDDoc.init methods in the database always set the value of the format attribute to null. If the value of the format attribute is not null, then the format plug-in specified by the format attribute will be called when the setProperties method is called.

  Overrides:
    `setProperties` in class `OrdDoc`
  Parameters:
    `ctx` - the format plug-in context information.
    `setComments` - a `boolean` value that specifies whether or not to populate the CLOB specified by the comments attribute.
  Throws:
    `java.sql.SQLException` - if an error occurs executing the corresponding setProperties method in the database.

### trimSource

    public int trimSource(byte[][] ctx,
                          int newLen)
                   throws java.sql.SQLException

  Description copied from class: `OrdDoc`
  Trims the data to the specified length.

  Not all source plug-ins support trim operations. For example, applications can trim the data stored in a BLOB specified by the localData attribute; however, the "file" and "http" data source types do not support write access, and so do not support this method. Furthermore, those source plug-ins that do support write access may not support the trim operation.

  Not all source plug-ins require that the data source be opened before it can be modified. However, to ensure that an application will work with any current or future source plug-ins, call the `OrdDoc.openSource(byte[], byte[][])` method before calling this method.

  Overrides:
    `trimSource` in class `OrdDoc`
  Parameters:
    `ctx` - the source plug-in context information. See Oracle interMedia Reference for more information.
    `newLen` - the length to which the data is to be trimmed.
  Returns:
    the status as an integer (`int`), where zero indicates success and a non-zero value indicates a failure code specific to the source plug-in.
  Throws:
    `java.sql.SQLException` - if an error occurs executing the corresponding trimSource method in the database.

### openSource

    public int openSource(byte[] userarg,
                          byte[][] ctx)
                   throws java.sql.SQLException

  Description copied from class: `OrdDoc`
  Opens a data source.
  Overrides:
    `openSource` in class `OrdDoc`
  Parameters:
    `userarg` - additional source plug-in information that may be required by user-defined source plug-ins.
    `ctx` - the source plug-in context information. See Oracle interMedia Reference for more information.
  Returns:
    the status as an integer (`int`), where zero indicates success and a non-zero value indicates a failure code specific to the source plug-in.
  Throws:
    `java.sql.SQLException` - if an error occurs executing the corresponding openSource method in the database.

### closeSource

    public int closeSource(byte[][] ctx)
                    throws java.sql.SQLException

  Description copied from class: `OrdDoc`
  Closes a data source.
  Overrides:
    `closeSource` in class `OrdDoc`
  Parameters:
    `ctx` - the source plug-in context information.
  Returns:
    the status as an integer (`int`), where zero indicates success and a non-zero value indicates a failure code specific to the source plug-in.
  Throws:
    `java.sql.SQLException` - if an error occurs executing the corresponding closeSource method in the database.

### processSourceCommand

    public byte[] processSourceCommand(byte[][] ctx,
                                       java.lang.String cmd,
                                       java.lang.String args,
                                       byte[][] result)
                                throws java.sql.SQLException

  Description copied from class: `OrdDoc`
  Calls the source plug-in in the database to execute a command. This method is used with user-written plug-ins only; it raises an exception if used with the source plug-ins supplied by Oracle.
  Overrides:
    `processSourceCommand` in class `OrdDoc`
  Parameters:
    `ctx` - the source plug-in context information. See Oracle interMedia Reference for more information.
    `cmd` - the command to be executed by the source plug-in.
    `args` - the arguments of the command.
    `result` - a `byte[][]` array of the form [1][`n`] into which the result of the command execution is written.
  Returns:
    the results of executing the command.
  Throws:
    `java.sql.SQLException` - if an error occurs executing the corresponding processSourceCommand method in the database.

### setUpdateTime

    public void setUpdateTime(java.sql.Timestamp currentTime)
                       throws java.sql.SQLException

  Description copied from interface: `OrdDomainIOInterface`
  Sets the updateTime attribute. This method sets the updateTime attribute to the specified time, or to the database server's current SYSDATE time if currentTime is specified as null.
  Specified by:
    `setUpdateTime` in interface `OrdDomainIOInterface`
  Overrides:
    `setUpdateTime` in class `OrdDoc`
  Parameters:
    `currentTime` - the update time, or the null value, used to set the value of the updateTime attribute to the current SYSDATE time.
  Throws:
    `java.sql.SQLException` - if an error occurs executing the corresponding setUpdateTime method in the database.

### getUpdateTime

    public java.sql.Timestamp getUpdateTime()
                                     throws java.sql.SQLException

  Description copied from interface: `OrdDomainIOInterface`
  Returns the updateTime attribute.
  Specified by:
    `getUpdateTime` in interface `OrdDomainIOInterface`
  Overrides:
    `getUpdateTime` in class `OrdDoc`
  Returns:
    the value of the updateTime attribute, as a `java.sql.Timestamp` object.
  Throws:
    `java.sql.SQLException` - if an error occurs accessing the updateTime attribute.

### readFromSource

    public int readFromSource(byte[][] ctx,
                              int startpos,
                              int numbytes,
                              byte[][] buffer)
                       throws java.sql.SQLException

  Description copied from class: `OrdDoc`
  Reads data from the data source. This method reads the specified number of bytes into the application buffer from the data source, starting at the specified position in the data source.

  Not all source plug-ins require that the data source be opened before it can be read. However, to ensure that an application will work with any current or future source plug-ins, call the `OrdDoc.openSource(byte[], byte[][])` method before calling this method.

  Overrides:
    `readFromSource` in class `OrdDoc`
  Parameters:
    `ctx` - the source plug-in context information. See Oracle interMedia Reference for more information.
    `startpos` - the start position in the data source.
    `numbytes` - the number of bytes to be read from the data source.
    `buffer` - a `byte[][]` array of the form [1][`n`], where `n` is greater than or equal to `numbytes`.
  Returns:
    the number of bytes read, as an integer (`int`).
  Throws:
    `java.sql.SQLException` - if an error occurs executing the corresponding readFromSource method in the database.

### writeToSource

    public int writeToSource(byte[][] ctx,
                             int startpos,
                             int numbytes,
                             byte[] buffer)
                      throws java.sql.SQLException

  Description copied from class: `OrdDoc`
  Writes data to the data source. This method writes the specified number of bytes from the application buffer to the data source, starting at the specified position in the data source.

  Not all source plug-ins support write operations. For example, applications can write to a BLOB specified by the localData attribute; however, the "file" and "http" data source types do not support write access, and so do not support this method. Furthermore, those source plug-ins that do support write access may support only sequential write access, and may not support write access to arbitrary starting positions within the data source.

  Not all source plug-ins require that the data source be opened before it can be written. However, to ensure that an application will work with any current or future source plug-ins, call the `OrdDoc.openSource(byte[], byte[][])` method before calling this method.

  Overrides:
    `writeToSource` in class `OrdDoc`
  Parameters:
    `ctx` - the source plug-in context information. See Oracle interMedia Reference for more information.
    `startpos` - the start position in the data source.
    `numbytes` - the number of bytes to be written to the data source.
    `buffer` - a `byte[]` array containing the data to be written.
  Returns:
    number of bytes written, as an integer (`int`).
  Throws:
    `java.sql.SQLException` - if an error occurs executing the corresponding writeToSource method in the database.

### getContentInLob

    public oracle.sql.BLOB getContentInLob(byte[][] ctx,
                                           java.lang.String[] mimetype,
                                           java.lang.String[] format)
                                    throws java.sql.SQLException

  Returns the data from the BLOB specified by the localData attribute in a temporary BLOB in the database. This method creates a temporary BLOB in the database, reads the data from the BLOB specified by the localData attribute, writes the data to the temporary BLOB, then returns the temporary BLOB locator to the caller.
  Important
  The application must free the temporary BLOB after accessing the data contained therein.
  Note
  local mode only
  Overrides:
    `getContentInLob` in class `OrdDoc`
  Parameters:
    `ctx` - the format plug-in context information
    `mimetype` - a `String[]` array, 1 element in length, into which the mimeType attribute is written as element 0
    `format` - a `String[]` array, 1 element in length, into which the format attribute is written as element 0
  Returns:
    the media data in a temporary `oracle.sql.BLOB`
  Throws:
    `java.sql.SQLException` - if an error occurs while creating the temporary BLOB or while executing the corresponding getContentInLob method in the database

### export

    public void export(byte[][] ctx,
                       java.lang.String sourceType,
                       java.lang.String sourceLocation,
                       java.lang.String sourceName)
                throws java.sql.SQLException

  Description copied from class: `OrdDoc`
  Exports the data from the BLOB specified by the localData attribute. This method calls the corresponding export method in the database to export the media data to a location specified by the srcType, srcLocation, and srcName parameters.

  Not all source plug-ins support the export method. Only the "file" source type is natively supported.

  This method will work only if you are running Oracle release 8.1.7 or later.

  The remainder of this description describes the use of the export method and the Oracle-supplied "file" source plug-in. User-written plug-ins will behave differently.

  The export method implemented by the Oracle-supplied "file" source plug-in copies, but does not modify, the media data stored in the database BLOB specified by the localData attribute.

  After exporting the media data, all the media property attributes remain unchanged. However, the srcType, srcLocation, and srcName attributes are updated with values of the srcType, srcLocation, and srcName parameters passed to the export method. After calling the export method, if you no longer intend to manage the media data within the database, call the `OrdDoc.clearLocal()` method to indicate that the media data is stored outside the database and call the `OrdDoc.deleteContent()` method to delete the media data stored in the database BLOB.

  See Oracle interMedia Reference for information about the privileges required to write to a database directory object. See Oracle Database Java Developer's Guide and the java.io.FilePermission class in the Java API for information about security and performance.

  Overrides:
    `export` in class `OrdDoc`
  Parameters:
    `ctx` - the source plug-in context information.
    `sourceType` - the source type to which the content will be exported.
    `sourceLocation` - the source location to which the content will be exported.
    `sourceName` - the source name to which the content will be exported.
  Throws:
    `java.sql.SQLException` - if an error occurs executing the corresponding export method in the database.

### getDataInFile

    public boolean getDataInFile(java.lang.String filename)
                          throws java.sql.SQLException,
                                 java.io.IOException

  Description copied from interface: `OrdDomainIOInterface`
  Writes the data from the database BLOB specified by the localData attribute to a local file.
  Specified by:
    `getDataInFile` in interface `OrdDomainIOInterface`
  Overrides:
    `getDataInFile` in class `OrdDoc`
  Parameters:
    `filename` - the name of the file to which the data will be written.
  Returns:
    `true` if the data is written to the file successfully; otherwise, an exception is raised if an error occurs. This method never returns `false`.
  Throws:
    `java.io.IOException` - if an error occurs reading the data from the BLOB or writing the data to the output file.
    `java.sql.SQLException` - if an error occurs accessing an object attribute.

### getDataInStream

    public java.io.InputStream getDataInStream()
                                        throws java.sql.SQLException

  Description copied from interface: `OrdDomainIOInterface`
  Returns an InputStream from which the data in the database BLOB specified by the localData attribute can be read.
  Specified by:
    `getDataInStream` in interface `OrdDomainIOInterface`
  Overrides:
    `getDataInStream` in class `OrdDoc`
  Returns:
    an `InputStream` object from which the data will be read.
  Throws:
    `java.sql.SQLException` - if an error occurs accessing an object attribute.

### getDataInByteArray

    public byte[] getDataInByteArray()
                              throws java.sql.SQLException,
                                     java.io.IOException,
                                     java.lang.OutOfMemoryError

  Description copied from interface: `OrdDomainIOInterface`
  Returns a byte array containing the data from the database BLOB specified by the localData attribute.
  Specified by:
    `getDataInByteArray` in interface `OrdDomainIOInterface`
  Overrides:
    `getDataInByteArray` in class `OrdDoc`
  Returns:
    a `byte[]` array containing the data.
  Throws:
    `java.io.IOException` - if an error occurs reading the data from the BLOB.
    `java.sql.SQLException` - if an error occurs accessing an object attribute.
    `java.lang.OutOfMemoryError` - if sufficient memory cannot be allocated to hold the data.

### getContentAsBlobDomain

    public oracle.jbo.domain.BlobDomain getContentAsBlobDomain()
                                                        throws java.sql.SQLException

  Description copied from interface: `OrdDomainIOInterface`
  Returns a `BlobDomain` object which wraps the BLOB locator from the localData attribute.
  Specified by:
    `getContentAsBlobDomain` in interface `OrdDomainIOInterface`
  Returns:
    a `BlobDomain` object
  Throws:
    `java.sql.SQLException` - if an error occurs in calling `getContent` method.
  See Also:
    `OrdImage.getContent()`, `OrdAudio.getContent()`, `OrdVideo.getContent()`, `OrdDoc.getContent()`

### getBFileDomain

    public oracle.jbo.domain.BFileDomain getBFileDomain()
                                                 throws java.sql.SQLException

  Description copied from interface: `OrdDomainIOInterface`
  Returns a `BFileDomain` object which wraps the BFILE locator obtained from the `getBFILE` method.
  Specified by:
    `getBFileDomain` in interface `OrdDomainIOInterface`
  Returns:
    a `BFileDomain` object
  Throws:
    `java.sql.SQLException` - if an error occurs in calling `getBFILE` method.
  See Also:
    `OrdImage.getBFILE()`, `OrdAudio.getBFILE()`, `OrdVideo.getBFILE()`, `OrdDoc.getBFILE()`

### getCommentsAsClobDomain

    public oracle.jbo.domain.ClobDomain getCommentsAsClobDomain()
                                                         throws java.sql.SQLException

  Returns a `ClobDomain` object which wraps the CLOB locator obtained from the `getComments()` method.
  Returns:
    a `ClobDomain` object
  Throws:
    `java.sql.SQLException` - if an error occurs while calling the `getComments` method

### setContentSource

    public void setContentSource(OrdContentSource source)

  Description copied from interface: `OrdDomainIOInterface`
  Sets the content source for deferred loading. Three predefined content source implementations support loading content from a file, a byte array, or a `OrdHttpUploadFile` object. The loading of content from the client into the database doesn't happen inside this method. It's deferred to the next `postChanges` method call.

  If the source parameter is `null`, this method just resets the previously set content source.

  In 3Tier environment, this method registers the domain object in the client post listener list so the content won't be replicated from CT to MT. The content will be streamed to the database directly after the `postChanges`.

  Specified by:
    `setContentSource` in interface `OrdDomainIOInterface`
  Parameters:
    `source` - the content source for the deferred loading
  See Also:
    `OrdContentSource`

### getContentSource

    public OrdContentSource getContentSource()

  Description copied from interface: `OrdDomainIOInterface`
  Gets the content source which was previously set by the `setContentSource` method.
  Specified by:
    `getContentSource` in interface `OrdDomainIOInterface`
  Returns:
    the content source object

### create

    public oracle.sql.CustomDatum create(oracle.sql.Datum d,
                                         int sqlType)
                                  throws java.sql.SQLException

  Internal: Applications should not use this method.
  Specified by:
    `create` in interface `oracle.sql.CustomDatumFactory`
  Overrides:
    `create` in class `OrdDoc`
  Throws:
    `java.sql.SQLException`

### getXMLDomainFactory

    public static oracle.jbo.domain.XMLDomainFactory getXMLDomainFactory(java.lang.Class attrClass)

  Internal: Applications should not use this method.

### getXMLContentNode

    public org.w3c.dom.Node getXMLContentNode(org.w3c.dom.Document xmlDoc)

  Internal: Applications should not use this method.
  Specified by:
    `getXMLContentNode` in interface `oracle.jbo.domain.XMLDomainInterface`

### createDomainFromSerializedXML

    public java.lang.Object createDomainFromSerializedXML(org.w3c.dom.Element element)

  Create a domain instance by reading the xml-data out of the given xml-node.
  Specified by:
    `createDomainFromSerializedXML` in interface `oracle.jbo.domain.XMLDomainReaderFactory`

### getSerializedDomainXML

    public org.w3c.dom.Node getSerializedDomainXML(org.w3c.dom.Document xmlDoc)

  Creates the XML node in the given XML document for this domain's data.
  Specified by:
    `getSerializedDomainXML` in interface `oracle.jbo.domain.XMLDomainWriter`
  Parameters:
    `xmlDoc` - name of the XML document in which the node should be created.

### printXMLDefinition

    public java.lang.String printXMLDefinition(java.util.Hashtable allDefs,
                                               java.io.PrintWriter pw,
                                               boolean bContainees)

  Internal: Applications should not use this method.
  Specified by:
    `printXMLDefinition` in interface `oracle.jbo.domain.XMLDomainInterface`

### domainToBeModified

    public void domainToBeModified(oracle.jbo.domain.DomainInterface d)

  Internal: Applications should not use this method.
  Specified by:
    `domainToBeModified` in interface `oracle.jbo.domain.DomainOwnerInterface`

### getAttribute

    public java.lang.Object getAttribute(int index)

  Internal: Applications should not use this method.
  Specified by:
    `getAttribute` in interface `oracle.jbo.AttributeList`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Internal: Applications should not use this method.
  Specified by:
    `getAttribute` in interface `oracle.jbo.AttributeList`

### setAttribute

    public void setAttribute(int index,
                             java.lang.Object value)

  Internal: Applications should not use this method.
  Specified by:
    `setAttribute` in interface `oracle.jbo.AttributeList`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Internal: Applications should not use this method.
  Specified by:
    `setAttribute` in interface `oracle.jbo.AttributeList`

### getAttributeCount

    public int getAttributeCount()

  Internal: Applications should not use this method.
  Specified by:
    `getAttributeCount` in interface `oracle.jbo.AttributeList`

### getAttributeIndexOf

    public int getAttributeIndexOf(java.lang.String name)

  Internal: Applications should not use this method.
  Specified by:
    `getAttributeIndexOf` in interface `oracle.jbo.AttributeList`

### getAttributeNames

    public java.lang.String[] getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `oracle.jbo.AttributeList`

### getAttributeValues

    public java.lang.Object[] getAttributeValues()

  Specified by:
    `getAttributeValues` in interface `oracle.jbo.AttributeList`

### syncServerLob

    public void syncServerLob(oracle.jbo.domain.LobInterface oldObj)

  Internal: Applications should not use this method.
  Specified by:
    `syncServerLob` in interface `oracle.jbo.domain.LobInterface`

### syncClientLob

    public void syncClientLob(oracle.jbo.domain.LobInterface newArrival)

  Internal: Applications should not use this method.
  Specified by:
    `syncClientLob` in interface `oracle.jbo.domain.LobInterface`

### getSize

    public long getSize()

  Internal: Applications should not use this method.
  Specified by:
    `getSize` in interface `oracle.jbo.domain.LobInterface`

### getRemoteIdString

    public java.lang.String getRemoteIdString()

  Internal: Applications should not use this method.
  Specified by:
    `getRemoteIdString` in interface `oracle.jbo.domain.LobInterface`

### saveToDatabase

    public void saveToDatabase(oracle.jbo.Transaction xAct)
                        throws java.sql.SQLException

  Internal: Applications should not use this method.
  Specified by:
    `saveToDatabase` in interface `oracle.jbo.domain.BlobDomainInterface`
  Throws:
    `java.sql.SQLException`

### saveToDatabase

    public void saveToDatabase(oracle.jbo.Transaction xAct,
                               java.lang.Object emptySQLObject)
                        throws java.sql.SQLException,
                               java.io.IOException

  Internal: Applications should not use this method.
  Specified by:
    `saveToDatabase` in interface `oracle.jbo.domain.BlobDomainInterface`
  Throws:
    `java.sql.SQLException`
    `java.io.IOException`

### prepareForDML

    public void prepareForDML(java.lang.Object context)

  Internal: Applications should not use this method.
  Specified by:
    `prepareForDML` in interface `oracle.jbo.domain.BlobDomainInterface`

### loadFromDatabase

    public void loadFromDatabase(oracle.jbo.Transaction xAct)
                          throws java.lang.Exception

  Internal: Applications should not use this method.
  Specified by:
    `loadFromDatabase` in interface `oracle.jbo.domain.BlobDomainInterface`
  Throws:
    `java.lang.Exception`

### getOwner

    public oracle.jbo.domain.DomainOwnerInterface getOwner()

  Internal: Applications should not use this method.
  Specified by:
    `getOwner` in interface `oracle.jbo.domain.LobInterface`

### getOwnerAttributeIndex

    public int getOwnerAttributeIndex()

  Internal: Applications should not use this method.
  Specified by:
    `getOwnerAttributeIndex` in interface `oracle.jbo.domain.LobInterface`

### getData

    public java.lang.Object getData()

  Internal: Applications should not use this method.
  Specified by:
    `getData` in interface `oracle.jbo.domain.DomainInterface`

### setContext

    public void setContext(oracle.jbo.domain.DomainOwnerInterface owner,
                           oracle.jbo.Transaction trans,
                           java.lang.Object ctx)

  Internal: Applications should not use this method.
  Specified by:
    `setContext` in interface `oracle.jbo.domain.DomainInterface`

### marshal

    public oracle.svcmsg.ResponseValues marshal()

  Specified by:
    `marshal` in interface `oracle.jbo.domain.MarshalledDomain`

### isConnected

    public boolean isConnected()

  Description copied from interface: `OrdDomainState`
  Determines whether the domain object has an internal JDBC connection to the database.
  Specified by:
    `isConnected` in interface `OrdDomainState`
  Returns:
    `true` if the there exists an internal JDBC connection; otherwise, returns `false`

### getTierInfo

    public int getTierInfo()

  Description copied from interface: `OrdDomainState`
  Gets the tier number information that this object lives in.

  The returned value indicates the tier information.

  - 0 - tier unknown
  - 1 - client tier (CT)
  - 2 - middle tier (MT)
  Specified by:
    `getTierInfo` in interface `OrdDomainState`

### setConnected

    public void setConnected(boolean value)

  Internal: Applications should not use this method.
  Specified by:
    `setConnected` in interface `OrdDomainState`

### isAddedToTransaction

    public boolean isAddedToTransaction()

  Internal: Applications should not use this method.
  Specified by:
    `isAddedToTransaction` in interface `OrdDomainState`

### setAddToTransactionState

    public void setAddToTransactionState(boolean value)

  Internal: Applications should not use this method.
  Specified by:
    `setAddToTransactionState` in interface `OrdDomainState`

### removeListenerFromTransaction

    public void removeListenerFromTransaction()

  Description copied from interface: `OrdDomainState`
  Internal: Applications should not use this method.
  Specified by:
    `removeListenerFromTransaction` in interface `OrdDomainState`

### doneCommit

    public void doneCommit(oracle.jbo.TransactionStateEvent event)

  Internal: Applications should not use this method.
  Specified by:
    `doneCommit` in interface `oracle.jbo.TransactionStateListener`

### doneRollback

    public void doneRollback(oracle.jbo.TransactionStateEvent event)

  Internal: Applications should not use this method.
  Specified by:
    `doneRollback` in interface `oracle.jbo.TransactionStateListener`

### setContentSourceOnly

    public void setContentSourceOnly(OrdContentSource source)

  Description copied from interface: `OrdDomainIOInterface`
  Internal: Applications should not use this method.
  Specified by:
    `setContentSourceOnly` in interface `OrdDomainIOInterface`

### setCTPassivationHandle

    public void setCTPassivationHandle(java.lang.Object handle)

  Internal: Applications should not use this method.
  Specified by:
    `setCTPassivationHandle` in interface `OrdDomainSupportInterface`

### getCTPassivationHandle

    public java.lang.Object getCTPassivationHandle()

  Internal: Applications should not use this method.
  Specified by:
    `getCTPassivationHandle` in interface `OrdDomainSupportInterface`

### generateTempFilePath

    public void generateTempFilePath()

  Internal: Applications should not use this method.
  Specified by:
    `generateTempFilePath` in interface `OrdDomainSupportInterface`

### clearContentSource

    public void clearContentSource()

  Description copied from interface: `OrdDomainIOInterface`
  Internal: Applications should not use this method.
  Specified by:
    `clearContentSource` in interface `OrdDomainIOInterface`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle ADF Business Components interMedia Domains Java API Reference 10g Release 3 (10.1.3) B16008-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001,2005, Oracle. All Rights Reserved.